import request from '@/utils/request'

// 查询自定义数据维护列表
export function listBaseCustomData(query) {
  return request({
    url: '/mes/base/baseCustomData/list',
    method: 'get',
    params: query
  })
}

// 查询自定义数据维护详细
export function getBaseCustomData(objId) {
  return request({
    url: '/mes/base/baseCustomData/' + objId,
    method: 'get'
  })
}

// 新增自定义数据维护
export function addBaseCustomData(data) {
  return request({
    url: '/mes/base/baseCustomData',
    method: 'post',
    data: data
  })
}

// 修改自定义数据维护
export function updateBaseCustomData(data) {
  return request({
    url: '/mes/base/baseCustomData',
    method: 'put',
    data: data
  })
}

// 删除自定义数据维护
export function delBaseCustomData(objId) {
  return request({
    url: '/mes/base/baseCustomData/' + objId,
    method: 'delete'
  })
}
